<?php

	include "library.php";

	$cxn = start_code( true );

	$cxn_common = db_common_login();



    $menu = val( $_GET, "menu" );



    if ($menu == "profiles")    
    {
	    page_header( "Profiles", $cxn, $cxn_common, "", false, false, "", true );
	
        show_mobile_profiles_buttons();
    }
    else
    if ($menu == "messages")    
    {
	    page_header( "Messages", $cxn, $cxn_common, "", false, false, "", true );

        show_mobile_messages_buttons();
    }
    else
    if ($menu == "other")    
    {
	    page_header( "Other", $cxn, $cxn_common, "", false, false, "", true );

        show_mobile_other_buttons();
    }
    else
    if ($menu == "information")    
    {
	    page_header( "Information", $cxn, $cxn_common, "", false, false, "", true );     

        show_mobile_information_buttons();
    }
    


    function show_mobile_profiles_buttons()
    {
        echo "<br><br>";
    
        echo "<table width='100%' cellpadding='0' cellspacing='0' style='border-collapse: collapse'>";
    
        echo "<tr>";
    
    	echo "<td width='20%'></td><td width='60%' align='left'>";
    	
    	show_green_button3( "&nbsp;&nbsp;Edit My Profile", 160, "edit_profile.php", "newprofile", "false" );
    	
    	echo "</td><td width='20%'></td></tr><tr><td width='20%'></td><td width='60%' align='left'>";
    	
    	show_green_button3( "&nbsp;&nbsp;View a Profile", 160, "view_one_profile.php" );
    	
    	echo "</td><td width='20%'></td></tr><tr><td width='20%'></td><td width='60%' align='left'>";
    	
    	show_green_button3_bottom( "&nbsp;&nbsp;View My Profile", 160, "display_profile.php", "showid", "-1", "returnpoint", "main" );

    	echo "</td><td width='20%'></td></tr></table>";
    }



    function show_mobile_messages_buttons()
    {
        echo "<br><br>";        
        
        echo "<table width='100%' cellpadding='0' cellspacing='0' style='border-collapse: collapse'>";
    
        echo "<tr>";
    
    	echo "<td width='20%'></td><td width='60%' align='left'>";
    	
    	show_green_button3( "&nbsp;&nbsp;Inbox", 160, "mailboxes.php", "box", "inbox" );
    	
    	echo "</td><td width='20%'></td></tr><tr><td width='20%'></td><td width='60%' align='left'>";
    	
    	show_green_button3( "&nbsp;&nbsp;Contacts", 160, "mailboxes.php", "box", "contacts" );
    	
    	echo "</td><td width='20%'></td></tr><tr><td width='20%'></td><td width='60%' align='left'>";
    	
    	show_green_button3( "&nbsp;&nbsp;Remembered", 160, "mailboxes.php", "box", "remembered" );

    	echo "</td><td width='20%'></td></tr><tr><td width='20%'></td><td width='60%' align='left'>";
    	
    	show_green_button3( "&nbsp;&nbsp;Sent", 160, "mailboxes.php", "box", "sent" );

    	echo "</td><td width='20%'></td></tr><tr><td width='20%'></td><td width='60%' align='left'>";
    	
    	show_green_button3( "&nbsp;&nbsp;Received", 160, "mailboxes.php", "box", "received" );

    	echo "</td><td width='20%'></td></tr><tr><td width='20%'></td><td width='60%' align='left'>";
    	
    	show_green_button3( "&nbsp;&nbsp;Blocked", 160, "mailboxes.php", "box", "blocked" );

    	echo "</td><td width='20%'></td></tr><tr><td width='20%'></td><td width='60%' align='left'>";    
    	
    	show_green_button3_bottom( "&nbsp;&nbsp;Chat History", 160, "mailboxes.php", "box", "chat_history" );

    	echo "</td><td width='20%'></td></tr></table>";
    }



    function show_mobile_other_buttons()
    {
        echo "<br><br>";
    
        echo "<table width='100%' cellpadding='0' cellspacing='0' style='border-collapse: collapse'>";
    
        echo "<tr>";
    
    	echo "<td width='15%'></td><td width='60%' align='left'>";
    	

    	show_green_button3( "&nbsp;&nbsp;Latest 100 Members", 200, "latest_100.php" );
    	
    	echo "</td><td width='15%'></td></tr><tr><td width='15%'></td><td width='60%' align='left'>";
    	
    	show_green_button3( "&nbsp;&nbsp;Members Online Now", 200, "members_online_now.php" );

    	echo "</td><td width='15%'></td></tr><tr><td width='15%'></td><td width='60%' align='left'>";
    	
    	show_green_button3( "&nbsp;&nbsp;Login", 200, "main_menu_login.php" );

    	echo "</td><td width='15%'></td></tr><tr><td width='15%'></td><td width='60%' align='left'>";    
    	
    	show_green_button3_bottom( "&nbsp;&nbsp;Logout", 200, "session_kill.php" );

//    	echo "</td><td width='20%'></td></tr><tr><td width='15%'></td><td width='70%' align='left'>";    
//  	
//    	show_green_button3_bottom( "&nbsp;&nbsp;Upgrade to Paid membership", 200, "membership_status.php" );

    	echo "</td><td width='15%'></td></tr></table>";
    }


    function show_mobile_information_buttons()
    {
        echo "<br><br>";
    
        echo "<table width='100%' cellpadding='0' cellspacing='0' style='border-collapse: collapse'>";
    
        echo "<tr>";
    
    	echo "<td width='20%'></td><td width='60%' align='left'>";
    	
    	show_green_button3( "&nbsp;&nbsp;FAQ", 180, "faq.php" );
    	
    	echo "</td><td width='20%'></td></tr><tr><td width='20%'></td><td width='60%' align='left'>";
    
    	show_green_button3( "&nbsp;&nbsp;Policies", 180, "policies.php" );
    	
    	echo "</td><td width='20%'></td></tr><tr><td width='20%'></td><td width='60%' align='left'>";

    	show_green_button3( "&nbsp;&nbsp;Tips", 180, "tips.php" );

    	echo "</td><td width='20%'></td></tr><tr><td width='20%'></td><td width='60%' align='left'>";
    
    	show_green_button3( "&nbsp;&nbsp;About Us", 180, "about_us.php" );

    	echo "</td><td width='20%'></td></tr><tr><td width='20%'></td><td width='60%' align='left'>";
    
    	show_green_button3_bottom( "&nbsp;&nbsp;Contact Us", 180, "contact_us.php" );

    	echo "</td><td width='20%'></td></tr></table>";
    }


        // tab style buttons for mobile screen buttons
        
    function show_green_button3( $text, $size, $page="", $param1="", $value1="", $param2="", $value2="", $param3="", $value3="", $param4="", $value4="", $param5="", $value5=""  )
	{
		$url = url_encode( $page, $param1, $value1, $param2, $value2, $param3, $value3, $param4, $value4, $param5, $value5 );

		echo "<div onclick=\"window.location.href='".$url."'\" class='greenbuttonmobile3' style='line-height: 50px; width:100%; align:left' >".$text."</div> ";
	}


        // different style to main menu tabs
        
    function show_green_button3_bottom( $text, $size, $page="", $param1="", $value1="", $param2="", $value2="", $param3="", $value3="", $param4="", $value4="", $param5="", $value5=""  )
	{
		$url = url_encode( $page, $param1, $value1, $param2, $value2, $param3, $value3, $param4, $value4, $param5, $value5 );

		echo "<div onclick=\"window.location.href='".$url."'\" class='greenbuttonmobile3_bottom' style='line-height: 50px; width:100%; align:left' >".$text."</div> ";			
	}

?>

